Marketplace
Read one disk price
Read a single disk rate your organization has published, by its id. A price belonging to another organization is not visible and reads as not found.
GET
/
v1
/
marketplace
/
disks
/
{id}
Read one disk price
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/disks/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"availability_zone": "<string>",
"cost_per_gb_hour": 123,
"cost_per_iops_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"id": "<string>",
"max_capacity_gb": 123,
"max_iops": 123,
"max_throughput_mbps": 123,
"min_capacity_gb": 123,
"min_iops": 123,
"min_throughput_mbps": 123,
"native_cost_per_gb_hour": 123,
"native_cost_per_iops_hour": 123,
"native_cost_per_throughput_mbps_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"type": "<string>",
"updated_at": "<string>",
"usage_type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Path Parameters
Price id
Response
The price
Currency the provider published this price in. Cost columns are always normalized USD.
Provisioning upper bound the disk type supports at this price (validation range), not an actual disk size.
Provisioning lower bound the disk type supports at this price (validation range), not an actual disk size.
Was this page helpful?
⌘I
Read one disk price
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/disks/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pricing.baselinehq.cloud/v1/marketplace/disks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"availability_zone": "<string>",
"cost_per_gb_hour": 123,
"cost_per_iops_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"id": "<string>",
"max_capacity_gb": 123,
"max_iops": 123,
"max_throughput_mbps": 123,
"min_capacity_gb": 123,
"min_iops": 123,
"min_throughput_mbps": 123,
"native_cost_per_gb_hour": 123,
"native_cost_per_iops_hour": 123,
"native_cost_per_throughput_mbps_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"type": "<string>",
"updated_at": "<string>",
"usage_type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}